﻿using System;
using System.Runtime.Serialization;
using Plattform;

namespace Plattform.Models
{
    [DataContract]
    public class Flight
    {
        [DataMember]
        public int FlightID { get; set; }
        [DataMember]
        public virtual Airline Airline { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public DateTime StartTime { get; set; }
        [DataMember]
        public float Duration { get; set; }
        [DataMember]
        public virtual Airport Origin { get; set; }
        [DataMember]
        public virtual Airport Destination { get; set; }

        public Flight(AirlineService.Flight flight)
        {
            Airport origin = new Airport(flight.Origin);
            Airport destination = new Airport(flight.Destination);
            this.Airline = new Airline(flight.Airline);
            this.Name = flight.Name;
            this.StartTime = flight.StartTime;
            this.Duration = flight.Duration;
            this.Origin = origin;
            this.Destination = destination;
        }
    }
}
